petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscEventPerfLogEnsureSize

This ensures that a PetscEventPerfLog is at least of a certain size.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEventPerfLogEnsureSize(PetscEventPerfLog eventLog,int size)

Not collective

### Input Paramters

| eventLog | - The PetscEventPerfLog
| size | - The size

### See Also

PetscEventPerfLogCreate()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages